> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get detailed video information by ID



## OpenAPI

````yaml get /v1/videos/{id}
openapi: 3.0.0
info:
  description: >-
    The Magnific API is your gateway to a vast collection of high-quality
    digital resources for your applications and projects. As a leading platform,
    it offers a wide range of graphics, including vectors, photos,
    illustrations, icons, PSD templates, and more, all curated by talented
    designers from around the world.
  title: Magnific API
  version: 1.0.0
servers:
  - description: B2B API Production V1
    url: https://api.magnific.com
security:
  - magnificApiKey: []
paths:
  /v1/videos/{id}:
    get:
      tags:
        - Videos
      summary: Get detailed video information by ID
      parameters:
        - description: Video id
          example: 30955
          in: path
          name: id
          required: true
          schema:
            minimum: 1
            type: integer
        - description: >
            Specifies the search query language using the ISO 639-1 (2-letter

            language code) and the ISO 3166-1 (2-letter country code) for
            language variants.

            The API will use "en-US" as a default language for processing if a
            code is not

            provided, or does not exist.
          example: en-US
          in: header
          name: Accept-Language
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                detail:
                  $ref: '#/components/examples/200-b2b-get-video-detail'
              schema:
                $ref: '#/components/schemas/_v1_videos__id__get_200_response'
          description: OK
        '400':
          content:
            application/json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Parameter 'page' must be greater than 0
                invalid_query:
                  summary: Parameter 'query' is not valid
                  value:
                    message: Parameter 'query' must not be empty
                invalid_filter:
                  summary: Parameter 'filter' is not valid
                  value:
                    message: Parameter 'filter' is not valid
                generic_bad_request:
                  summary: Bad Request
                  value:
                    message: Parameter ':attribute' is not valid
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
            application/problem+json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Validation error
                    invalid_params:
                      - field: page
                        reason: Parameter 'page' must be greater than 0
                      - field: per_page
                        reason: Parameter 'per_page' must be greater than 0
              schema:
                $ref: >-
                  #/components/schemas/get_all_style_transfer_tasks_400_response_1
          description: >-
            Bad Request - The server could not understand the request due to
            invalid syntax.
        '404':
          content:
            application/json:
              examples:
                ai_resource_not_found:
                  summary: AI resource with provided id does not exist
                  value:
                    message: AI resource not found
                collection_not_found:
                  summary: Collection with provided id does not exist
                  value:
                    message: Collection not found
                resource_not_found:
                  summary: Resource with provided id does not exist
                  value:
                    message: Resource not found
                resources_not_found:
                  summary: Resources not found
                  value:
                    message: Resources not found
                user_not_found:
                  summary: User with provided id does not exist
                  value:
                    message: User not found
                video_not_found:
                  summary: Video with provided id does not exist
                  value:
                    message: Video not found
                video_assets_not_found:
                  summary: Video with provided id has not associated assets
                  value:
                    message: Video not found
                icon_not_found:
                  summary: Icon with provided id does not exist
                  value:
                    message: Icon not found
                author_not_found:
                  summary: Author with provided id does not exist
                  value:
                    message: Author not found
                developer_not_found:
                  summary: Developer with provided email does not exist
                  value:
                    message: Developer not found
                country_not_found:
                  summary: Country with provided code does not exist
                  value:
                    message: Country not found
                generic_not_found:
                  summary: Not Found
                  value:
                    message: Not found
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: Not Found - The server can not find the requested resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_500_response'
          description: >-
            Internal Server Error - The server has encountered a situation it
            doesn't know how to handle.
components:
  examples:
    200-b2b-get-video-detail:
      summary: Video detail
      value:
        data:
          id: 70000
          url: >-
            https://www.freepik.com/free-video/white-t-shirts-copy-space-gray-background_15667335
          name: Cute cat looking at the camera
          aspect-ratio: '16:9'
          created: '2019-01-01T00:00:00.000Z'
          code: cute-cat-looking-camera
          quality: 720p
          premium: true
          duration: '00:25'
          author:
            id: 23
            name: Magnific
            code: magnific
            avatar: https://avatar.cdnpk.net/23.jpg
            metas:
              downloads: 555
              assets: 2330000
            slug: magnific
          thumbnails:
            - width: 468
              height: 264
              url: >-
                https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61b436a9c16290.44924640_small.jpg
              aspect-ratio: '16:9'
            - width: 1280
              height: 720
              url: >-
                https://v4.cdnpk.net/videvo_files/video/free/video0467/thumbnails/_import_615163540096e1.68968110_large.jpg
              aspect-ratio: '16:9'
          previews:
            - width: 468
              height: 264
              url: >-
                https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61b436a9c16290.44924640_small.jpg
              aspect-ratio: '16:9'
          active: true
          is_ai_generated: false
          item_subtype: footage
  schemas:
    _v1_videos__id__get_200_response:
      example:
        data:
          aspect_ratio: '969'
          code: gorgeous-woman-stretching-neck
          created: '2000-01-23T04:56:07.000Z'
          author:
            metas:
              assets: 0
              downloads: 0
            code: merry-christmas
            name: John Doe
            id: 2147483647
            avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
            slug: merry-christmas
          fps: '25'
          active: 1
          url: >-
            https://www.freepik.com/free-video/white-t-shirts-copy-space-gray-background_15667327
          quality: 4k
          tags:
            - name: Merry Christmas
              slug: merry-christmas
            - name: Merry Christmas
              slug: merry-christmas
          duration: '00:00:28'
          explicit: 0
          premium: 0
          is_ai_generated: true
          item_subtype: footage
          name: gorgeous woman stretching neck
          previews:
            - url: >-
                https://v1.cdnpk.net/videvo_files/video/premium/video0289/watermarked/_Geometric80s30_FPpreview.mp4
              width: 100
              height: 100
              aspect_ratio: '16:9'
            - url: >-
                https://v1.cdnpk.net/videvo_files/video/premium/video0289/watermarked/_Geometric80s30_FPpreview.mp4
              width: 100
              height: 100
              aspect_ratio: '16:9'
          options:
            - id: 76989
              active: true
              width: 4096
              height: 2304
              quality: 4k
              container: mp4
              codec: AVC Coding
              bit_rate: 25.44
              size: 400
              aspect_ratio: '16:9'
              is_original: true
            - id: 76989
              active: true
              width: 4096
              height: 2304
              quality: 4k
              container: mp4
              codec: AVC Coding
              bit_rate: 25.44
              size: 400
              aspect_ratio: '16:9'
              is_original: true
          id: 99332243
          thumbnails:
            - url: https://img.freepik.com/free-photo/image_8353-7579.jpg
              width: 100
              height: 100
              aspect_ratio: '16:9'
            - url: https://img.freepik.com/free-photo/image_8353-7579.jpg
              width: 100
              height: 100
              aspect_ratio: '16:9'
      properties:
        data:
          $ref: '#/components/schemas/detail_b2b'
      type: object
    get_all_style_transfer_tasks_400_response:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    get_all_style_transfer_tasks_400_response_1:
      properties:
        problem:
          $ref: >-
            #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem
      type: object
    get_all_style_transfer_tasks_500_response:
      example:
        message: Internal Server Error
      properties:
        message:
          example: Internal Server Error
          type: string
      type: object
    detail_b2b:
      example:
        aspect_ratio: '969'
        code: gorgeous-woman-stretching-neck
        created: '2000-01-23T04:56:07.000Z'
        author:
          metas:
            assets: 0
            downloads: 0
          code: merry-christmas
          name: John Doe
          id: 2147483647
          avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
          slug: merry-christmas
        fps: '25'
        active: 1
        url: >-
          https://www.freepik.com/free-video/white-t-shirts-copy-space-gray-background_15667327
        quality: 4k
        tags:
          - name: Merry Christmas
            slug: merry-christmas
          - name: Merry Christmas
            slug: merry-christmas
        duration: '00:00:28'
        explicit: 0
        premium: 0
        is_ai_generated: true
        item_subtype: footage
        name: gorgeous woman stretching neck
        previews:
          - url: >-
              https://v1.cdnpk.net/videvo_files/video/premium/video0289/watermarked/_Geometric80s30_FPpreview.mp4
            width: 100
            height: 100
            aspect_ratio: '16:9'
          - url: >-
              https://v1.cdnpk.net/videvo_files/video/premium/video0289/watermarked/_Geometric80s30_FPpreview.mp4
            width: 100
            height: 100
            aspect_ratio: '16:9'
        options:
          - id: 76989
            active: true
            width: 4096
            height: 2304
            quality: 4k
            container: mp4
            codec: AVC Coding
            bit_rate: 25.44
            size: 400
            aspect_ratio: '16:9'
            is_original: true
          - id: 76989
            active: true
            width: 4096
            height: 2304
            quality: 4k
            container: mp4
            codec: AVC Coding
            bit_rate: 25.44
            size: 400
            aspect_ratio: '16:9'
            is_original: true
        id: 99332243
        thumbnails:
          - url: https://img.freepik.com/free-photo/image_8353-7579.jpg
            width: 100
            height: 100
            aspect_ratio: '16:9'
          - url: https://img.freepik.com/free-photo/image_8353-7579.jpg
            width: 100
            height: 100
            aspect_ratio: '16:9'
      properties:
        id:
          description: schemas's id.
          example: 99332243
          minimum: 1
          type: integer
        url:
          description: Url to the video's detail page in magnific
          example: >-
            https://www.freepik.com/free-video/white-t-shirts-copy-space-gray-background_15667327
          format: uri
          type: string
        name:
          description: schemas's title.
          example: gorgeous woman stretching neck
          type: string
        created:
          description: The datetime when this video was created.
          format: date-time
          type: string
        code:
          example: gorgeous-woman-stretching-neck
          type: string
        quality:
          $ref: '#/components/schemas/quality'
        premium:
          description: 1 if this video is premium. 0, otherwise.
          example: 0
          type: integer
        duration:
          example: '00:00:28'
          pattern: ^0[0-9]:[0-5][0-9]:[0-5][0-9]$
          type: string
        fps:
          description: The fps of this video
          enum:
            - '24'
            - '25'
            - '30'
            - '50'
            - '60'
            - gt60
          example: '25'
          type: string
        active:
          description: 1 if this video is active. 0, otherwise.
          example: 1
          type: integer
        explicit:
          enum:
            - 0
            - 1
          example: 0
          type: integer
        author:
          $ref: '#/components/schemas/author-video'
        thumbnails:
          items:
            $ref: '#/components/schemas/image-with-aspect-ratio'
          minItems: 1
          type: array
        previews:
          items:
            $ref: '#/components/schemas/preview-with-aspect-ratio'
          minItems: 1
          type: array
        tags:
          items:
            $ref: '#/components/schemas/tag_1'
          type: array
        options:
          items:
            $ref: '#/components/schemas/option'
          type: array
        aspect_ratio:
          $ref: '#/components/schemas/aspect-ratio_2'
        is_ai_generated:
          description: True if the resource is generated by AI, false otherwise.
          example: true
          type: boolean
        item_subtype:
          $ref: '#/components/schemas/item_subtype'
      type: object
    get_all_style_transfer_tasks_400_response_1_problem:
      properties:
        message:
          example: Validation error
          type: string
        invalid_params:
          items:
            $ref: >-
              #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner
          type: array
      required:
        - invalid_params
        - message
      type: object
    quality:
      description: The quality of this video
      enum:
        - 720p
        - 1080p
        - 2k
        - 4k
      example: 4k
      type: string
    author-video:
      example:
        metas:
          assets: 0
          downloads: 0
        code: merry-christmas
        name: John Doe
        id: 2147483647
        avatar: https://avatar.cdnpk.net/61668527-220726032514.jpg
        slug: merry-christmas
      properties:
        id:
          maximum: 9223372036854776000
          minimum: 1
          type: integer
        name:
          example: John Doe
          minLength: 1
          type: string
        code:
          example: merry-christmas
          minLength: 1
          type: string
        avatar:
          example: https://avatar.cdnpk.net/61668527-220726032514.jpg
          format: uri
          type: string
        metas:
          $ref: '#/components/schemas/author_video_metas'
        slug:
          example: merry-christmas
          minLength: 1
          type: string
      required:
        - avatar
        - id
        - metas
        - name
        - slug
      type: object
    image-with-aspect-ratio:
      allOf:
        - $ref: '#/components/schemas/image_1'
        - properties:
            aspect_ratio:
              $ref: '#/components/schemas/aspect-ratio_2'
          required:
            - aspect_ratio
          type: object
      example:
        url: https://img.freepik.com/free-photo/image_8353-7579.jpg
        width: 100
        height: 100
        aspect_ratio: '16:9'
    preview-with-aspect-ratio:
      allOf:
        - $ref: '#/components/schemas/preview'
        - properties:
            aspect_ratio:
              $ref: '#/components/schemas/aspect-ratio_2'
          required:
            - aspect_ratio
          type: object
      example:
        url: >-
          https://v1.cdnpk.net/videvo_files/video/premium/video0289/watermarked/_Geometric80s30_FPpreview.mp4
        width: 100
        height: 100
        aspect_ratio: '16:9'
    tag_1:
      example:
        name: Merry Christmas
        slug: merry-christmas
      properties:
        slug:
          example: merry-christmas
          minLength: 1
          type: string
        name:
          description: The name of the tag.
          example: Merry Christmas
          minLength: 1
          type: string
      required:
        - name
        - slug
      type: object
    option:
      example:
        id: 76989
        active: true
        width: 4096
        height: 2304
        quality: 4k
        container: mp4
        codec: AVC Coding
        bit_rate: 25.44
        size: 400
        aspect_ratio: '16:9'
        is_original: true
      properties:
        id:
          example: 76989
          minimum: 1
          type: integer
        active:
          example: true
          type: boolean
        width:
          description: The width of the original video.
          example: 4096
          minimum: 1
          type: integer
        height:
          example: 2304
          minimum: 1
          type: integer
        quality:
          $ref: '#/components/schemas/quality'
        container:
          example: mp4
          type: string
        codec:
          example: AVC Coding
          type: string
        bit_rate:
          example: 25.44
          maximum: 500000
          minimum: 1
          type: number
        size:
          example: 400
          maximum: 500000
          minimum: 1
          type: number
        aspect-ratio:
          $ref: '#/components/schemas/aspect-ratio_2'
        is_original:
          description: >-
            if it is the original file uploaded by the author without any post
            processing
          example: true
          type: boolean
      required:
        - aspect_ratio
      type: object
    aspect-ratio_2:
      description: The aspect ratio of this item
      enum:
        - '4:3'
        - '16:9'
        - '256:135'
        - '9:16'
        - '1:1'
      example: '969'
      type: string
    item_subtype:
      description: The subtype of the video.
      enum:
        - footage
        - motion_graphics
        - other
        - template
        - template_aep
        - template_prproj
      example: footage
      type: string
    get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner:
      properties:
        name:
          description: Name of the invalid parameter.
          example: page
          type: string
        field:
          description: Field of the invalid parameter. Mirrors `name`.
          example: page
          type: string
        reason:
          example: Parameter 'page' must be greater than 0
          type: string
      required:
        - field
        - name
        - reason
      type: object
    author_video_metas:
      example:
        assets: 0
        downloads: 0
      properties:
        downloads:
          description: The number of downloads of this author.
          minimum: 0
          type: integer
        assets:
          description: The number of assets of this author.
          minimum: 0
          type: integer
      required:
        - assets
        - downloads
      type: object
    image_1:
      properties:
        url:
          description: The url of the image.
          example: https://img.freepik.com/free-photo/image_8353-7579.jpg
          format: uri
          type: string
        width:
          description: The width of the image.
          example: 100
          maximum: 4096
          minimum: 100
          type: integer
        height:
          description: The height of the image.
          example: 100
          maximum: 4096
          minimum: 100
          type: integer
      required:
        - height
        - url
        - width
      type: object
    preview:
      description: Information needed to preview a resource.
      example:
        width: 300
        url: https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm
        height: 500
      properties:
        url:
          description: Resource's url.
          example: https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm
          format: uri
          type: string
        width:
          description: Resource image width.
          example: 300
          minimum: 0
          type: integer
        height:
          description: Resource image height.
          example: 500
          minimum: 0
          type: integer
      required:
        - height
        - url
        - width
      type: object
  securitySchemes:
    magnificApiKey:
      description: >
        Your Magnific API key. Required for authentication. [Learn how to obtain
        an API key](https://docs.magnific.com/quickstart)
      in: header
      name: x-magnific-api-key
      type: apiKey

````